
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" lang="en-us">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Código del API Inmobilio &#8212; Inmobilio 1.0 documentation</title>
    <link rel="stylesheet" href="_static/alabaster.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script async="async" type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="prev" title="Tutorial API Inmobilio" href="tutorial.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <div class="section" id="codigo-del-api-inmobilio">
<h1>Código del API Inmobilio<a class="headerlink" href="#codigo-del-api-inmobilio" title="Permalink to this headline">¶</a></h1>
<p>Aquí podrá encontrar el código que se utilizó en la construcción del API</p>
<div class="section" id="modelos">
<h2>Modelos<a class="headerlink" href="#modelos" title="Permalink to this headline">¶</a></h2>
<dl class="docutils">
<dt>class General(models.Model):</dt>
<dd><p class="first">“””
Modelo encargado de representar el objeto General en la base de datos
“””
direccion = models.CharField(max_length=300, null=False)
ciudad = models.CharField(max_length=300, null=False)
departamento = models.CharField(max_length=300, null=False)
pais = models.CharField(max_length=300, null=False)
telefono = models.CharField(max_length=300, null=False)</p>
<dl class="last docutils">
<dt>class Meta:</dt>
<dd>verbose_name = _(“General”)
verbose_name_plural = _(“Generales”)</dd>
</dl>
</dd>
<dt>class Interior(models.Model):</dt>
<dd><p class="first">“””
Modelo encargado de representar el objeto Interior en la base de datos
“””
cuartos = models.FloatField(null=False)
banios = models.IntegerField(null=False)
closets = models.IntegerField(null=False)
calentador = models.NullBooleanField()</p>
<dl class="last docutils">
<dt>class Meta:</dt>
<dd>verbose_name = _(“Interior”)
verbose_name_plural = _(“Interiores”)</dd>
</dl>
</dd>
<dt>class Exterior(models.Model):</dt>
<dd><p class="first">“””
Modelo encargado de representar el objeto Exterior en la base de datos
“””
vigilancia = models.CharField(max_length=300, null=False)
parqueadero = models.CharField(max_length=300, null=False)
salon_social = models.NullBooleanField()
numero_pisos = models.IntegerField(null=False)</p>
<dl class="last docutils">
<dt>class Meta:</dt>
<dd>verbose_name = _(“Exterior”)
verbose_name_plural = _(“Exteriores”)</dd>
</dl>
</dd>
<dt>class Inmueble(models.Model):</dt>
<dd><p class="first">“””
Modelo encargado de representar el objeto Inmueble en la base de datos
“””
tipo = models.CharField(max_length=300, null=False)
subtipo = models.CharField(max_length=300, null=False)
general = models.ForeignKey(General, on_delete=models.CASCADE)
interior = models.ForeignKey(Interior, on_delete=models.CASCADE)
exterior = models.ForeignKey(Exterior, on_delete=models.CASCADE)</p>
<dl class="last docutils">
<dt>class Meta:</dt>
<dd>verbose_name = _(“Inmueble”)
verbose_name_plural = _(“Inmuebles”)</dd>
</dl>
</dd>
</dl>
</div>
<div class="section" id="vistas">
<h2>Vistas<a class="headerlink" href="#vistas" title="Permalink to this headline">¶</a></h2>
<p>&#64;api_view([‘GET’])
def inmuebles(request):</p>
<blockquote>
<div><dl class="docutils">
<dt>if request.method == ‘GET’:</dt>
<dd>inmuebles = Inmueble.objects.all()
serializer = InmuebleSerializer(inmuebles, many=True)
return Response(serializer.data)</dd>
</dl>
</div></blockquote>
<p>&#64;api_view([‘POST’])
def inmueble_create(request):</p>
<blockquote>
<div><dl class="docutils">
<dt>if request.method == ‘POST’:</dt>
<dd><p class="first">serializer = InmuebleSerializer(data=request.data)
if serializer.is_valid():</p>
<blockquote>
<div>serializer.save()
return Response(status=status.HTTP_201_CREATED)</div></blockquote>
<p class="last">return Response(serializer.errors, status=status.HTTP_400_BAD_REQUEST)</p>
</dd>
</dl>
</div></blockquote>
<p>&#64;api_view([‘GET’, ‘PUT’, ‘DELETE’])
def inmueble(request, id):</p>
<blockquote>
<div><dl class="docutils">
<dt>try:</dt>
<dd>inmueble = Inmueble.objects.get(id=id)</dd>
<dt>except Inmueble.DoesNotExist:</dt>
<dd>return Response(status=status.HTTP_404_NOT_FOUND)</dd>
<dt>if request.method == ‘GET’:</dt>
<dd>serializer = InmuebleSerializer(inmueble)
return Response(serializer.data)</dd>
<dt>elif request.method == ‘PUT’:</dt>
<dd><p class="first">serializer = InmuebleSerializer(inmueble, data=request.data)
if serializer.is_valid():</p>
<blockquote>
<div>serializer.save()
return Response(serializer.data)</div></blockquote>
<p class="last">return Response(serializer.errors, status=status.HTTP_400_BAD_REQUEST)</p>
</dd>
<dt>elif request.method == ‘DELETE’:</dt>
<dd>inmueble.delete()
return Response(status=status.HTTP_204_NO_CONTENT)</dd>
</dl>
</div></blockquote>
</div>
</div>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">Inmobilio</a></h1>








<h3>Navigation</h3>
<p class="caption"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="tutorial.html">Tutorial API Inmobilio</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Código del API Inmobilio</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#modelos">Modelos</a></li>
<li class="toctree-l2"><a class="reference internal" href="#vistas">Vistas</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
      <li>Previous: <a href="tutorial.html" title="previous chapter">Tutorial API Inmobilio</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2018, Alejandro Carvajal Sánchez.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 1.8.1</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="_sources/codigo.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>